
.img-cover {
	width: 100%;
	height: 100%;
	display: block;
	object-fit: cover;
	object-position: center center;
}

.img-contain {
	width: 100%;
	height: 100%;
	display: block;
	object-fit: contain;
	object-position: center center;
}


.page-start {

	.header {
		padding-top: 0;
		background: #040D5F;
		border-bottom: 1px solid rgba(255,255,255,0.3);

		&__social {

			a {

				.ico-svg {
					fill: rgba(255,255,255,0.85);
				}

				&:hover {

					.ico-svg {
						fill: rgba(255,255,255,1);
					}
				}
			}
		}

		&__mobile {

			&--search {

				.ico-svg {
					fill: rgba(255,255,255,0.85);
				}

				&:hover {

					.ico-svg {
						fill: rgba(255,255,255,1);
					}
				}
			}

			&--toggle {

				.ico-svg {
					fill: rgba(255,255,255,0.85);
				}

				&:hover {

					.ico-svg {
						fill: rgba(255,255,255,1);
					}
				}
			}
		}

		&__nav {

			li {

				a {
					opacity: 1;
					color: rgba(255,255,255,0.85);

					&:hover {
						color: rgba(255,255,255,1);
					}
				}
			}
		}
	}

	.search {
		position: relative;

		&__input {
			color: #fff;
			border: 1px solid rgba(255, 255, 255, 0.85);
			@include placeholder(#fff);

			&:focus,
			&:active {
				@include placeholder(transparent);
			}
		}

		&__button {

			.ico-svg {
				fill: rgba(255, 255, 255, 0.85);
			}
		}
	}

	.nav {
		background: #040D5F;
		border-bottom: 1px solid #040D5F;
		box-shadow: none;

		&__row {
			height: 63px;
			display: flex;
			align-items: center;
			justify-content: flex-end;
		}

		&__account {
			border: 1px solid rgba(255,255,255,0.7);
		}

		&__menu {

			> li {

				> a {
					color: rgba(255,255,255,0.85);

					&:hover {
						color: rgba(255,255,255,1);
					}
				}
			}
		}

		@media (min-width: $screen-lg-min) {
			display: block;
		}

		@media (min-width: $screen-xl-min) {

		}
	}
}

.primary {
	padding-top: 48px;
	padding-bottom: 24px;
	background: #040D5F url("../img/update/primary__bg.jpg") 50% 100% no-repeat;
	background-size: cover;
	font-family: $font-family-head;

	&__mobile-header {
		color: #fff;
		font-size: 24px;
		font-weight: 700;
		text-align: center;
		margin-bottom: 48px;
	}

	&__main {
		position: relative;
	}

	&__wrap {
		position: relative;
	}

	&__item {
		color: #fff;
		display: block;
		overflow: hidden;
		position: relative;
		border-radius: 16px;
		text-decoration: none;

		&:hover {
			color: #fff;
			text-decoration: none;
		}
	}

	&__play {
		z-index: 10;
		top: calc(50% - 36px);
		left: calc(50% - 36px);
		width: 72px;
		height: 72px;
		display: block;
		position: absolute;
		border-radius: 50%;
	}

	&__media {
		z-index: 1;
		position: relative;

		&:before {
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			z-index: 5;
			content: '';
			position: absolute;
			background: rgba(0,0,0,0.32);
		}

		&--short {
			height: 360px;
		}
	}

	&__tags {
		top: 16px;
		left: 16px;
		z-index: 10;
		position: absolute;
		display: flex;
		flex-wrap: wrap;
	}

	&__content {
		left: 16px;
		right: 16px;
		bottom: 16px;
		z-index: 10;
		position: absolute;
	}

	&__title {
		color: #fff;
		display: block;
		font-size: 14px;
		font-weight: 700;
		max-width: 420px;
		text-decoration: none;

		&:hover {
			color: #fff;
			text-decoration: none;
		}
	}

	&__nav {
		top: calc(50% - 24px);
		z-index: 50;
		display: none;
		position: absolute;

		&--prev {
			left: 0;
		}

		&--next {
			right: 0;
		}
	}

	@media (min-width: $screen-md-min) {
		padding-top: 50px;
		padding-bottom: 40px;

		&__wrap {
			width: 580px;
			margin: 0 auto;
		}

		&__title {
			font-size: 20px;
		}

		&__tags {
			top: 24px;
			left: 24px;
		}

		&__content {
			left: 24px;
			right: 24px;
			bottom: 24px;
		}

		&__mobile-header {
			display: none;
		}

		&__nav {
			display: block;
		}

		&__media {

			&--short {
				height: auto;
			}
		}
	}

	@media (min-width: $screen-lg-min) {
		padding-top: 70px;
	}

	@media (min-width: $screen-xl-min) {

		&__wrap {
			width: 730px;
		}

		&__tags {
			top: 32px;
			left: 32px;
		}

		&__content {
			left: 32px;
			right: 32px;
			bottom: 32px;
		}
	}
}

[data-primary] {
	overflow: visible;

	.swiper-slide {
		width: 312px;
	}

	@media (min-width: $screen-md-min) {

		.swiper-slide {
			width: 100%;
		}
	}
}

[data-primary-pagination] {
	top: auto;
	left: auto;
	right: auto;
	bottom: auto;
	margin-top: 24px;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;

	.swiper-pagination-bullet {
		background: rgba(255, 255, 255, 0.60);
	}

	.swiper-pagination-bullet-active {
		background: var(--gradient, linear-gradient(94deg, #EC0A15 0%, #233BDB 100%));
	}

	@media (min-width: $screen-md-min) {
		display: none;
	}
}

.tag-orange {
	color: #fff !important;
	background: #F2994A !important;
}

.btn-nav {
	fill: #fff;
	width: 48px;
	height: 48px;
	font-size: 0;
	line-height: 0;
	border: none;
	outline: none;
	cursor: pointer;
	border-radius: 50%;
	background: rgba(255, 255, 255, 0.2);
	display: flex;
	align-items: center;
	justify-content: center;
	transition: .25s;

	i {
		height: 20px;
		flex-shrink: 0;
		display: inline-block;
	}

	&:hover {
		background: rgba(255, 255, 255, 0.4);
		transition: .25s;
	}
}

.mobile-events {
	background: #fff;
	padding-top: 24px;

	&__main {
		margin: 0 auto;
		min-height: 140px;
		padding: 0 40px;
		background: #fff;
		overflow: hidden;
		position: relative;
		border-radius: 8px;
		box-shadow: 0 4px 8px rgba(0,0,0,.12);
	}

	&__nav {
		top: 0;
		bottom: 0;
		width: 40px;
		border: none;
		outline: none;
		fill: #193D6A;
		font-size: 0;
		line-height: 0;
		cursor: pointer;
		background: #fff;
		position: absolute;
		display: flex;
		align-items: center;
		justify-content: center;

		i {
			height: 20px;
			flex-shrink: 0;
			display: inline-block;
		}

		&--prev {
			left: 0;
		}

		&--next {
			right: 0;
		}
	}

	@media (min-width: $screen-sm-min) {

		.swiper-slide {
			width: 340px;
		}
	}

	@media (min-width: $screen-xl-min) {

		.swiper-slide {
			width: auto;
		}
	}
}

.event-item {
	padding: 12px 0;
	font-size: 9px;
	text-align: center;
	line-height: normal;
	position: relative;
	min-height: 140px;
	font-family: $font-family-head;
	border-left: 1px solid #040D5F;
	display: flex;
	flex-direction: column;

	&__tag {
		top: 0;
		left: 0;
		color: #fff;
		font-size: 9px;
		font-weight: 700;
		line-height: 10px;
		height: 16px;
		padding: 2px 4px;
		position: absolute;
		border-radius: 0 2px 2px 0;
		background: linear-gradient(90deg,#ec0a15 0,#233bdb 100%);
		display: flex;
		align-items: center;
		justify-content: center;
	}

	&__content {
		width: 100%;
		max-width: 340px;
		margin: auto auto;
	}

	&__date {
		margin-bottom: 8px;
	}

	&__text {
		margin-top: 8px;
	}

	&__main {
		display: flex;
		flex-shrink: 0;
		align-items: center;
		justify-content: space-between;
	}

	&__command {
		width: 100px;
	}

	&__logo {
		width: 32px;
		height: 32px;
		overflow: hidden;
		margin: 0 auto;
	}

	&__name {
		color: #000;
		font-size: 12px;
		font-weight: 700;
		text-align: center;
		margin-top: 4px;
	}

	&__result {
		font-size: 20px;
		font-weight: 700;
		text-align: center;
	}
}

.promo-block {
	z-index: 10;
	position: relative;

	&__info {
		color: #575756;
		text-align: center;
		text-decoration: none;
		font-size: 9px;
		line-height: 14px;
		margin-bottom: 4px;

		a {
			color: #575756;
			text-decoration: none;

			&:hover {
				color: #575756;
				text-decoration: none;
			}
		}
	}

	&__main {
		display: block;
	}

	&__media {

		&--md {
			display: none;
		}
	}

	@media (min-width: $screen-md-min) {

		&__info {
			margin-bottom: 24px;
		}

		&__media {

			&--sm {
				display: none;
			}

			&--md {
				display: block;
			}
		}
	}
}

.videos--blue {
	background: linear-gradient(57deg, #040D5F 0%, #011960 100%);

	.videos__header::before {
		background: rgba(255,255,255,0.2);
	}
}

.partners-new {
	padding-top: 40px;
	padding-bottom: 40px;

	&__header {
		font-size: 2rem;
		font-weight: 700;
		line-height: 2.7rem;
		margin-bottom: 24px;
	}

	&__main {
		display: flex;
		align-items: flex-start;
		position: relative;

		&:before {
			top: 0;
			bottom: 0;
			right: 100%;
			content: '';
			z-index: 100;
			width: 2000px;
			background: #fff;
			position: absolute;
		}
	}

	&__primary {
		z-index: 50;
		color: #1D1D1B;
		background: #fff;
		width: 120px;
		font-size: 9px;
		font-weight: 700;
		line-height: 11px;
		text-align: center;
		position: relative;

		&__image {
			width: 120px;
			height: 120px;
			display: block;
			overflow: hidden;
			border-radius: 8px;
			border: 1px solid rgba(25, 61, 106, 0.5);
		}

		&__text {
			margin-top: 12px;
		}
	}

	&__secondary {
		width: calc(100% - 120px);
		padding-left: 8px;
	}

	&__pagination {
		margin-top: 24px;

		.swiper-pagination {
			top: auto;
			left: auto;
			right: auto;
			bottom: auto;
			font-size: 0;
			line-height: 0;
			position: relative;
			display: flex;
			align-items: center;
			justify-content: center;
		}

		.swiper-pagination-bullet {
			width: 8px;
			height: 8px;
			margin: 0 4px;
			opacity: 1;
			border-radius: 2px;
			background: rgba(25, 61, 106, 0.50);
		}

		.swiper-pagination-bullet-active {
			background: var(--gradient, linear-gradient(94deg, #EC0A15 0%, #233BDB 100%));
		}
	}

	@media (min-width: $screen-md-min) {

		&__primary {
			width: 160px;

			&__image {
				width: 160px;
				height: 160px;
			}
		}

		&__secondary {
			width: calc(100% - 160px);
			padding-left: 30px;
		}
	}

	@media (min-width: $screen-xl-min) {

	}
}

.life__adv {
	overflow: hidden !important;
	border-radius: 8px !important;
}

[data-partners] {
	overflow: visible;

	.swiper-slide {
		width: 120px;
	}

	@media (min-width: $screen-md-min) {

		.swiper-slide {
			width: 160px;
		}
	}

	@media (min-width: $screen-xl-min) {

		.swiper-wrapper {
			display: grid;
			grid-row-gap: 30px;
			grid-column-gap: 30px;
			grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
		}

		.swiper-slide {
			width: auto;
		}
	}
}

@media (min-width: $screen-sm-min) {

}

@media (min-width: $screen-md-min) {

}

@media (min-width: $screen-lg-min) {

}

@media (min-width: $screen-xl-min) {

}